import { r as registerInstance, h } from './index-CV0Pyo1O.js';

const FormControlHelpText = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        if (!this.helpText) {
            return null;
        }
        return (h("small", { class: 'form-text text-muted', id: `form-help-text-${this.name}` }, this.helpText));
    }
};

export { FormControlHelpText as form_control_help_text };
